package com.kmall.api.service;

import com.kmall.common.dao.TemplateConfDao;
import com.kmall.common.entity.TemplateConfVo;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 微信模板消息日志Service实现类
 *
 * @author Scott
 * @email
 * @date 2017-12-02 16:49:29
 */
@Service
public class ApiTemplateConfService {
    private TemplateConfDao templateConfMapper;

    public TemplateConfVo queryObject(Integer id) {
        return templateConfMapper.queryObject(id);
    }

    public List<TemplateConfVo> queryList(Map<String, Object> map) {
        return templateConfMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return templateConfMapper.queryTotal(map);
    }

}
